Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.jest
Class JSONObject.KVMap

    java.lang.Object
      org.apache.openjpa.persistence.jest.JSONObject.KVMap

All Implemented Interfaces:
  JSON

Enclosing class:
  JSONObject

    public static class JSONObject.KVMap

extends Object
implements JSON

A map whose key or value can be JSON. A map is encoded as JSON as an array of entries. Each entry is a key value pair separated with :

Author:
  Pinaki Poddar

Field Summary

Fields inherited from interface org.apache.openjpa.persistence.jest.JSON
`ARRAY_EMPTY, ARRAY_END, ARRAY_START, FIELD_SEPARATOR, ID_MARKER, IOR_SEPARTOR, MEMBER_SEPARATOR, NEWLINE, NULL_LITERAL, OBJECT_END, OBJECT_START, QUOTE, REF_MARKER, SPACE, VALUE_SEPARATOR`

Constructor Summary
`JSONObject.KVMap()`

Method Summary
`StringBuilder` | `asString(int indent)` Render into a string buffer.
`void` | `put(Object k, Object v)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JSONObject.KVMap

    public JSONObject.KVMap()

Method Detail

### put

    public void put(Object k,
                    Object v)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### asString

    public StringBuilder asString(int indent)

  Description copied from interface: `JSON`
  Render into a string buffer.

  Specified by:
    `asString` in interface `JSON`
  Parameters:
    `indent` - level at which this instance is being rendered
  Returns:
    a mutable buffer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.